跳转到内容

Hi3D 3D to Multicolor

集成

模型 id hitem3d/hi3d/multicolor
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hitem3d/hi3d/multicolor?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.40 400 API 积分 · ≈ ₽42.63 在此页面运行

获取 API 密钥
Hitem3D 3D #3d-to-3d#multicolor

将带纹理的 GLB 转换为多色模型,支持 1-8 种颜色,适用于多色 3D 打印

Hitem3D · 3D

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

带纹理的输入模型 URL。仅接受 GLB 文件,大小限制为 200 MB。

高级 export_format · number_of_colors · enable_safety_checker
export_format 默认 glb

生成模型的输出格式;不包括 STL、USDZ 和 3MF,因为合作方目前不支持这些格式。

默认 4

模型颜色数量,0 表示最大值,适合之后需要更改颜色的情况。明确指定时范围为 1 至 8。

POST /run/hitem3d/hi3d/multicolor?wait=20 报价 → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hitem3d/hi3d/multicolor?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Hi3D 3D to Multicolor

接收带纹理的 GLB 模型(最大 200MB),并将其简化为适合多色 3D 打印的多色版本。`number_of_colors` 范围为 1 至 8,其中 0 表示最大数量,适合后续编辑颜色。输出格式可以是 glb、obj 或 fbx。

参数

名称类型 默认值允许值 描述
mesh_url必填
类型string
带纹理的输入模型 URL。仅接受 GLB 文件,大小限制为 200 MB。
number_of_colors可选
类型integer
默认值4
0 – 8
模型颜色数量,0 表示最大值,适合之后需要更改颜色的情况。明确指定时范围为 1 至 8。
export_format可选
类型enum
默认值glb
glbobjfbx
生成模型的输出格式;不包括 STL、USDZ 和 3MF,因为合作方目前不支持这些格式。
enable_safety_checker可选
类型boolean
默认值true
为 true 时,在处理前对输入执行安全检查。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hitem3d/hi3d/multicolor",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
model_mesh
object {url, content_type, file_name, file_size}包含生成的 3D 模型的文件。
thumbnail
object {url, content_type, file_name, file_size} | null模型预览图(如可用)。

更多模型:3D

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/hitem3d/hi3d/multicolor.md. 所有模型和指南: https://doitong.com/developers/llms.txt